px4-400d install custom software

Post Reply
cberni
Posts: 1
Joined: Fri Jun 30, 2017 6:29 pm

px4-400d install custom software

Post by cberni » Fri Jun 30, 2017 6:51 pm

I would like to install a custom package in my lenovo EMC px4-400d so I tried like I did on my lenovo ix4-300d below...

vim "/etc/ipkg.conf":

Code: Select all

src cross http://ipkg.nslu2-linux.org/feeds/optware/cs08q1armel/cross/unstable
src native http://ipkg.nslu2-linux.org/feeds/optware/cs08q1armel/native/unstable
ipkg update
ipkg install ipkg-opt

in the ix4-300d installs the "ipkg-opt" OK but in the px4-400d I get the error:

Code: Select all

Nothing to be done
An error ocurred, return value: 4.
Collected errors:
Cannot find package ipkg-opt.
Check the spelling or perhaps run 'ipkg update'
Anybody could help me how could I install a package in the px4-400d?

Code: Select all

root@px4-400d:/# uname -a
Linux px4-400d 3.8.6 #1 SMP Thu Feb 16 17:58:51 EST 2017 x86_64 GNU/Linux

Mijzelf
Posts: 6251
Joined: Mon Jun 16, 2008 10:45 am

Re: px4-400d install custom software

Post by Mijzelf » Sat Jul 01, 2017 7:57 am

The IX4-300D runs an Armv7 chip, you PX4 has an Intel x86_64 chip. So they can't run the same software. For the PX4 you'll need a x86_64, or maybe an x86 feed. AFAIK optware doesn't have that.
But you can have a look at Entware-ng, which is a modern successor of optware, and which has an x64 feed.

Post Reply